---
title: WebGL2RenderingContext.isVertexArray()
slug: Web/API/WebGL2RenderingContext/isVertexArray
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.isVertexArray()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> returns <code>true</code> if the passed object is a valid {{domxref("WebGLVertexArrayObject")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">GLBoolean <var>gl</var>.isVertexArray(<var>vertexArray</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>vertexArray</code></dt>
 <dd>A {{domxref("WebGLVertexArrayObject")}} (VAO) object to test.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("GLboolean")}} indicating whether the given object is a valid {{domxref("WebGLVertexArrayObject")}} object (<code>true</code>) or not (<code>false</code>).</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var vao = gl.createVertexArray();
gl.bindVertexArray(vao);

// ...

gl.isVertexArray(vao);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.17", "isVertexArray")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glIsVertexArray.xhtml", "glIsVertexArray")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.isVertexArray")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLVertexArrayObject")}}</li>
</ul>
